/*
 * OperationKind.java
 * Copyright (C) 2007 Lars Frantzen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 *
 * Created on 10. Dezember 2006, 19:38
 *
 */

package info.frantzen.testing.ssmsimulator.ssm;

/**
 * This enumeration represents all possible kinds an Operation my have. These
 * are exactly the WSDL kinds, i.e.:
 * 
 * request response:
 * ?input message --> !output message
 * 
 * solicit response:
 * !output message --> ?input message
 * 
 * one-way:
 * ?input message
 * 
 * notification:
 * !output message
 * @author Lars Frantzen
 * @version 0.1
 */
public enum OperationKind {
    /**
     * a one-way Operation
     */
    ONEWAY,
    /**
     * a request-response Operation
     */
    REQUESTRESPONSE,
    /**
     * a solicit-response Operation
     */
    SOLICITRESPONSE,
    /**
     * a notificaton operation
     */
    NOTIFICATION
}
