/*
 * ST_StringInstance.java
 * Copyright (C) 2007 Lars Frantzen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 *
 * Created on 30. Dezember 2006, 14:44
 *
 */

package info.frantzen.testing.ssmsimulator.types;

/**
 * An ST_StringInstance is an instance of an {@link ST_String}.
 * @author Lars Frantzen
 * @version 0.1
 */
public class ST_StringInstance extends SimpleTypeInstance {
    
    /**
     * Creates a new instance of ST_StringInstance.
     * @param value an String represented by the ST_StringInstance
     */
    public ST_StringInstance(String value) {
        super(value);
    }
    
    /**
     * A string representation of the ST_StringInstance.
     * @return a string representation of the ST_StringInstance
     */
    public String toString() {
        return (String) getValue();
    }

    /**
     * Clones this ST_SringInstance.
     * @return the cloned ST_StringInstance
     */
    public ST_StringInstance clone() {
        return new ST_StringInstance((String) getValue());
    }
    
    
}
